#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

int niz[2000001];

int main()
{
    int n, k, tmp, br = 0;

    scanf("%d%d", &n, &k);

    for(int i = 0; i < n * 2 + 1; i++)
        niz[i] = 0;

    for(int i = 0; i < n; i++)
    {
        scanf("%d", &tmp);

        niz[tmp + n]++;

        if(niz[tmp + n] == k)
            br++;
    }

    printf("%d\n", br);

    for(int i = 0; i < n * 2 + 1; i++)
        if(niz[i] >= k)
            printf("%d ", i-n);

    return 0;
}